<div class="chat">
    <div class="chat__details text-center">
        <span *ngIf="currentUser">{{currentUser.userName}} ({{currentUser.chatRoomName}})</span>
    </div>

    <div class="chat__messages">
        <app-chat-messages *ngIf="currentUser" [messages]="messages" [userName]="currentUser.userName"></app-chat-messages>
    </div>

    <div class="chat__input">
        <div class="input-group">
            <div #newMessageInput class="form-control" contenteditable="true" (input)="newMessage = $event.target.innerText"
                (keydown.enter)="sendMessage(); false" autofocus>
            </div>
            <div class="input-group-append">
                <button type="button" class="btn btn-secondary" [disabled]="newMessage === ''" (click)="sendMessage()">Send</button>
            </div>
        </div>
    </div>
</div>